Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class AbstractLibrary

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
          org.gradle.plugins.ide.eclipse.model.AbstractLibrary

    abstract class AbstractLibrary
    extends AbstractClasspathEntry

Field Summary

Fields inherited from class AbstractClasspathEntry
COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE

Property Summary
`String` | `declaredConfigurationName`
`FileReference` | `javadocPath`
`FileReference` | `library`
`ModuleVersionIdentifier` | `moduleVersion`
`FileReference` | `sourcePath`

Constructor Summary
`AbstractLibrary(Node node, FileReferenceFactory fileReferenceFactory)`
`AbstractLibrary(FileReference library)`

Method Summary
`void` | `appendNode(Node node)`
`boolean` | `equals(def o)`
`int` | `hashCode()`
`void` | `setJavadocPath(FileReference path)`
`void` | `setLibrary(FileReference library)`
`String` | `toString()`

Methods inherited from class AbstractClasspathEntry
addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes

Property Detail

### declaredConfigurationName

    String declaredConfigurationName

### javadocPath

    FileReference javadocPath

### library

    FileReference library

### moduleVersion

    @Nullable
    ModuleVersionIdentifier moduleVersion

### sourcePath

    FileReference sourcePath

Constructor Detail

### AbstractLibrary

    AbstractLibrary(Node node, FileReferenceFactory fileReferenceFactory)

### AbstractLibrary

    AbstractLibrary(FileReference library)

Method Detail

### appendNode

    void appendNode(Node node)

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### setJavadocPath

    void setJavadocPath(FileReference path)

### setLibrary

    void setLibrary(FileReference library)

### toString

    String toString()

Gradle API 1.10